[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetAppHandle

Gets the value for the AppHandle property.

## Declaration

Source position: interfacebase.pp line 129

`protected function TWidgetSet.GetAppHandle: TLCLHandle; virtual;`

## Function result

Value for the AppHandle property.

## Description

Always returns 0 (the unassigned handle value) in TWidgetSet. It is overridden in descendent classes to return the value provided for the platform.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type for the property value.

## See also

TWidgetSet.AppHandle |  | Native handle for a TApplication instance.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.